Bug 967541 - PRD33 - custom properties per vnic / device
PRD33 - custom properties per vnic / device
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity high
: ---
: 3.3.0
Assigned To: Alona Kaplan
Artyom
network
: FutureFeature
Depends On:
Blocks: 976570 1019470
  Show dependency treegraph
 
Reported: 2013-05-27 08:00 EDT by Itamar Heim
Modified: 2016-02-10 14:52 EST (History)
10 users (show)

See Also:
Fixed In Version: IS4
Doc Type: Release Note
Doc Text:
Custom properties can now be defined for virtual network interface cards (NIC) on virtual machines. This enables a range of connection options, including: * Create a host NIC via Mellanox UFM and connect it directly to a virtual NIC. * Use OpenStack's Quantum to connect a virtual NIC to one of its defined networks. * Pass non-standard quality of service (QoS) settings for a virtual NIC.
Story Points: ---
Clone Of:
: 976570 (view as bug list)
Environment:
Last Closed: 2014-01-21 12:23:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Itamar Heim 2013-05-27 08:00:36 EDT

    
Comment 1 Itamar Heim 2013-05-27 08:01:22 EDT
while this is related to bug 893576, the custom property should be visible in other hooks, like start vm
Comment 2 Artyom 2013-08-12 07:40:27 EDT
How I can call from hook script custom properties of specific vnic?

For example vm custom properties I can assign from script with os.environ['name_of_custom_properties']
Comment 3 Artyom 2013-08-13 07:19:45 EDT
1) Perform on rhevm: 
engine-config -s CustomDeviceProperties="{
    type=interface;
    prop={
        speed=^([0-9]{1,5})$;
        port_mirroring=^(True|False)$;
        bandwidth=^([0-9]{1,5})$}}"
restart engine

2) For each vnic can choose custom properties speed, port mirroring and bandwith.

3) Also can receive for each vnic custom properties from hook script via os.environ['key']

Verified on is9
Comment 4 errata-xmlrpc 2014-01-21 12:23:32 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html

Note You need to log in before you can comment on or make changes to this bug.